Subject: Re: [bug#41541] [PATCH 6/8] system: examples: Add bare-hurd.tmpl.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Sun, 07 Jun 2020 00:44:27 +0200

Mathieu Othacehe writes:

Hello Mathieu,

>> Yes, I agree.  Do you propose to hold back merging wip-hurd-vm until
>> after merging the "image" catalog feature and then rewrite this message?
>
> No, I have no clear objective for the catalog in mind, and as your serie
> is almost ready, let's merge it first!

Good; let's look at the last bits tomorrow.  I think wip-hurd-vm should
be ready to merge (except of course the top "DRAFT" commit).

>>  # Verify that the examples can be built.
>>  for example in gnu/system/examples/*.tmpl; do
>> -    guix system -n disk-image "$example"
>> +    if echo "$example" | grep hurd; then
>> +        target="--target=i586-pc-gnu"
>> +    else
>> +        target=
>> +    fi
>> +    guix system -n disk-image $target "$example"
>>  done
>>  
>>  # Verify that the disk image types can be built.
>>
>> to "fix" that.  It feals a bit heavy, ugly and specific.  Ideas?
>
> It's somehow linked to the catalog subject. I think we should get rid of
> this "examples" folder and provide something encapsulating the
> system/target, the image and the operating-system, but I'm not sure how.
>
> For now, I don't think that there's much better that the hack you're
> proposing.

Ok, all great then for now.  Thank, Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com